package gunav2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class v_tclientes_subs_0 {


public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (v_tclientes) ","v_tclientes",14,__ref.getField(false, "ba"),__ref,27);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "v_tclientes","b4xpage_appear", __ref);}
RemoteObject _c = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 BA.debugLineNum = 27;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(67108864);
 BA.debugLineNum = 28;BA.debugLine="Log(\"Entramos\")";
Debug.ShouldStop(134217728);
v_tclientes.__c.runVoidMethod ("LogImpl","073269249",RemoteObject.createImmutable("Entramos"),0);
 BA.debugLineNum = 29;BA.debugLine="Dim c As Cursor = Starter.skmt.ExecQuery ($\"selec";
Debug.ShouldStop(268435456);
_c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_c = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), v_tclientes._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)((RemoteObject.createImmutable("select * from CAT_CATCLIENTESTODOS where CAT_CL_CODIGO in (Select CUENTA from cuentaa)")))));Debug.locals.put("c", _c);Debug.locals.put("c", _c);
 BA.debugLineNum = 30;BA.debugLine="If c.RowCount > 0 Then";
Debug.ShouldStop(536870912);
if (RemoteObject.solveBoolean(">",_c.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 31;BA.debugLine="c.Position=0";
Debug.ShouldStop(1073741824);
_c.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 32;BA.debugLine="Log(c.GetString(\"CAT_CL_NOMBRE\"))";
Debug.ShouldStop(-2147483648);
v_tclientes.__c.runVoidMethod ("LogImpl","073269253",_c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE"))),0);
 BA.debugLineNum = 33;BA.debugLine="la_cuenta.Text=c.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(1);
__ref.getField(false,"_la_cuenta" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(_c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")))));
 BA.debugLineNum = 34;BA.debugLine="La_nombre.Text=c.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(2);
__ref.getField(false,"_la_nombre" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(_c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")))));
 BA.debugLineNum = 35;BA.debugLine="la_Calle.Text=c.GetString(\"CAT_CL_CALLE\")";
Debug.ShouldStop(4);
__ref.getField(false,"_la_calle" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(_c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CALLE")))));
 BA.debugLineNum = 36;BA.debugLine="la_col.Text=c.GetString(\"CAT_CL_COLONIA\")";
Debug.ShouldStop(8);
__ref.getField(false,"_la_col" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(_c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_COLONIA")))));
 BA.debugLineNum = 37;BA.debugLine="l_entre1.Text=c.GetString(\"CAT_CL_CALLE1\")";
Debug.ShouldStop(16);
__ref.getField(false,"_l_entre1" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(_c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CALLE1")))));
 BA.debugLineNum = 38;BA.debugLine="l_entre2.Text=c.GetString(\"CAT_CL_CALLE2\")";
Debug.ShouldStop(32);
__ref.getField(false,"_l_entre2" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(_c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CALLE2")))));
 BA.debugLineNum = 39;BA.debugLine="l_atiende.Text=c.GetString(\"CAT_CL_ATIENDE1\")";
Debug.ShouldStop(64);
__ref.getField(false,"_l_atiende" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(_c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_ATIENDE1")))));
 BA.debugLineNum = 40;BA.debugLine="Label19.Text = c.GetString(\"CAT_CL_TELEFONO\")";
Debug.ShouldStop(128);
__ref.getField(false,"_label19" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(_c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_TELEFONO")))));
 };
 BA.debugLineNum = 42;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (v_tclientes) ","v_tclientes",14,__ref.getField(false, "ba"),__ref,21);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "v_tclientes","b4xpage_created", __ref, _root1);}
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 21;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 22;BA.debugLine="Root = Root1";
Debug.ShouldStop(2097152);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 24;BA.debugLine="Root.LoadLayout(\"Vista_todoslosclientes\")";
Debug.ShouldStop(8388608);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("Vista_todoslosclientes")),__ref.getField(false, "ba"));
 BA.debugLineNum = 25;BA.debugLine="End Sub";
Debug.ShouldStop(16777216);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
v_tclientes._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",v_tclientes._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
v_tclientes._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",v_tclientes._xui);
 //BA.debugLineNum = 5;BA.debugLine="Private la_cuenta As Label";
v_tclientes._la_cuenta = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_la_cuenta",v_tclientes._la_cuenta);
 //BA.debugLineNum = 6;BA.debugLine="Private La_nombre As Label";
v_tclientes._la_nombre = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_la_nombre",v_tclientes._la_nombre);
 //BA.debugLineNum = 7;BA.debugLine="Private la_Calle As Label";
v_tclientes._la_calle = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_la_calle",v_tclientes._la_calle);
 //BA.debugLineNum = 8;BA.debugLine="Private la_col As Label";
v_tclientes._la_col = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_la_col",v_tclientes._la_col);
 //BA.debugLineNum = 9;BA.debugLine="Private l_entre1 As Label";
v_tclientes._l_entre1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_entre1",v_tclientes._l_entre1);
 //BA.debugLineNum = 10;BA.debugLine="Private l_entre2 As Label";
v_tclientes._l_entre2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_entre2",v_tclientes._l_entre2);
 //BA.debugLineNum = 11;BA.debugLine="Private l_atiende As Label";
v_tclientes._l_atiende = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_atiende",v_tclientes._l_atiende);
 //BA.debugLineNum = 12;BA.debugLine="Private Label19 As Label";
v_tclientes._label19 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_label19",v_tclientes._label19);
 //BA.debugLineNum = 13;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (v_tclientes) ","v_tclientes",14,__ref.getField(false, "ba"),__ref,16);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "v_tclientes","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 16;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(32768);
 BA.debugLineNum = 17;BA.debugLine="Return Me";
Debug.ShouldStop(65536);
if (true) return __ref;
 BA.debugLineNum = 18;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}